<?xml version="1.0"?>

<launch>
  <arg name="reliability_limit" default="0.2" />
  <param name="/use_sim_time" value="true" />

  <!--Add people velocity tracker-->
  <param name="/leg_detector/leg_reliability_limit" value="$(arg reliability_limit)" type="double" />
  <param name="/leg_detector/fixed_frame" value="odom" />
  <param name="/leg_detector/freq" value="10.0"/>
  <param name="/leg_detector/start_distance_min" value="1.5"/>
  <param name="/leg_detector/reliability_threshold" value="0.75"/>
  <param name="/leg_detector/follow_one_person" type="bool" value="true"/>
  <!-- Kalman with velocity model covariances -->
  <param name="/leg_detector/sys_sigma_pos_x" value="0.8"/>
  <param name="/leg_detector/sys_sigma_pos_y" value="0.8"/>
  <param name="/leg_detector/sys_sigma_pos_z" value="0.3"/>
  <param name="/leg_detector/sys_sigma_vel_x" value="0.5"/>
  <param name="/leg_detector/sys_sigma_vel_y" value="0.5"/>
  <param name="/leg_detector/sys_sigma_vel_z" value="0.5"/>
  <node pkg="laser_filters" type="scan_to_scan_filter_chain" respawn="true" name="laser_filter">
    <rosparam command="load" file="$(find map_laser)/filters.yaml" />
    <remap from="scan" to="/laser_birdcage_r2000/scan_filtered" />
  </node>
  <node pkg="map_laser" type="filter.py" name="map_laser_filter" respawn="true" output="screen"/>
  <node pkg="leg_detector" type="leg_detector" name="leg_detector" args="scan:=base_scan_filter $(find leg_detector)/config/trained_leg_detector.yaml"/>
  <node name="velocity_tracker" pkg="people_velocity_tracker" type="tracker.py" respawn="true" />
      <!-- <node pkg="people_tracking_filter" type="people_tracker" name="people_tracker" output="screen"/> -->

  <node pkg="move_base" type="move_base" respawn="false" name="move_base" output="screen" required="true">
    <param name="base_global_planner" value="global_planner/GlobalPlanner"/>
    <param name="base_local_planner" value="dwa_local_planner/DWAPlannerROS" />
    <rosparam file="/config/costmaps/costmap_common_params.yaml" command="load" ns="global_costmap" />
    <rosparam file="/config/costmaps/costmap_common_params.yaml" command="load" ns="local_costmap" />
    <rosparam file="/config/move_base_params.yaml" command="load" />
    <rosparam file="/config/global/global_planner_params.yaml" command="load" />
    <rosparam file="/config/local/dwa_holo_local_planner_params.yaml" command="load" />
    <rosparam file="/config/costmaps/local_costmap_params.yaml" command="load" />
    <rosparam file="/config/costmaps/global_costmap_params.yaml" command="load" />
  </node>
</launch>
